{
  "name": "amos-toip",
  "version": "1.0.0",
  "private": true,
  "author": "ilex.h",
  "scripts": {
    "clean": "rimraf dist released",
    "build:pro": "set NODE_ENV=production && npm run clean && webpack",
    "build:dev": "set NODE_ENV=development && npm run clean && webpack",
    "watch": "webpack -w",
    "server": "nodemon server/index.js --watch server",
    "build": "set NODE_ENV=production && npm run clean && webpack",
    "themes": "amos-run themes",
    "themes-watch": "amos-run themes-watch",
    "start": "set NODE_ENV=development && nodemon --exec \"webpack-dev-server\"",
    "start2": "set NODE_ENV=development && webpack-dev-server",
    "startDev": "set NODE_ENV=development && webpack-dev-server --config webpack.config.dev.js",
    "compile:dev": "set NODE_ENV=development && npm run clean && webpack --config webpack.config.dev.js",
    "compile:pro": "set NODE_ENV=production && npm run clean && webpack --config webpack.config.prod.js",
    "lint": "eslint src tests",
    "lint:fix": "npm run lint -- --fix",
    "format": "prettier --write \"src/**/*.{js,jsx,css,scss,less,sass}\"",
    "stylelint": "stylelint src",
    "zip": "amos-run released2zip",
    "pub:dev": "npm run compile:dev && amos-run extraReleased",
    "pub": "npm run compile:pro && amos-run extraReleased",
    "pub:build": "npm run build:pro && amos-run extraReleased",
    "precommit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,json,css}": [
      "prettier --write",
      "git add"
    ]
  },
  "dependencies": {
    "amos-amap": "^1.0.6",
    "amos-core": "^2.0.27",
    "amos-devgrid": "^1.0.10",
    "amos-dll": "^1.0.4",
    "amos-icon": "^1.0.3",
    "amos-processor": "^1.2.18",
    "amos-security": "2.0.10",
    "amos-tool": "^1.2.34",
    "amos-viz": "^1.1.0",
    "amos-websocket": "^1.0.0",
    "canvg": "^2.0.0",
    "classnames": "^2.2.5",
    "dt2react": "^1.0.7",
    "html2canvas": "^1.0.0-rc.3",
    "lodash": "^4.17.4",
    "lodash.debounce": "^4.0.8",
    "raphael": "^2.3.0",
    "ray-animate": "^1.0.0",
    "ray-eventpool": "^1.0.0",
    "ray-mediaquery": "^1.0.0",
    "ray-progress": "^1.0.0",
    "ray-tween": "^1.0.2",
    "react": "~16.0.0",
    "react-dom": "~16.0.0",
    "react-svg": "^10.0.19",
    "vertx3-eventbus-client": "^3.4.1"
  },
  "devDependencies": {
    "amos-build": "^3.x",
    "amos-core": "^2.0.27",
    "amos-framework": "^1.0.35",
    "cross-env": "^5.2.0",
    "eslint-config-ray": "^1.0.25",
    "mockjs": "^1.0.1-beta3",
    "stylelint-config-ray": "^2.x",
    "ws": "^4.0.0"
  }
}
